import Commit from "./commit";
import { GitgraphCore, GitgraphCommitOptions } from "./gitgraph";
import { CommitStyleOptions, BranchStyle } from "./template";
export interface BranchCommitDefaultOptions {
    author?: string;
    subject?: string;
    style?: CommitStyleOptions;
}
export interface BranchOptions {
    gitgraph: GitgraphCore;
    name: string;
    style: BranchStyle;
    parentCommitHash?: Commit["hash"];
    commitDefaultOptions?: BranchCommitDefaultOptions;
}
export declare class Branch {
    name: BranchOptions["name"];
    style: BranchStyle;
    commitDefaultOptions: BranchCommitDefaultOptions;
    computedColor?: BranchStyle["color"];
    private gitgraph;
    private parentCommitHash;
    constructor(options: BranchOptions);
    commit(subject?: string): Branch;
    commit(options?: GitgraphCommitOptions): Branch;
    merge(branch: Branch): Branch;
    merge(branchName: string): Branch;
    checkout(): Branch;
    tag(name: string): Branch;
    private getCommitStyle(style?);
}
export default Branch;
