import { CommitStyle } from "./template";
import Branch from "./branch";
export interface CommitOptions {
    author: string;
    subject: string;
    style: CommitStyle;
    body?: string;
    notes?: string;
    refs?: string[];
    tree?: string;
    hash?: string;
    parents?: string[];
    innerText?: string;
}
export declare class Commit {
    refs: Array<Branch["name"] | "HEAD">;
    x: number;
    y: number;
    hash: string;
    hashAbbrev: string;
    tree: string;
    treeAbbrev: string;
    parents: Array<Commit["hash"]>;
    parentsAbbrev: Array<Commit["hashAbbrev"]>;
    author: {
        name: string;
        email: string;
        timestamp: number;
    };
    committer: {
        name: string;
        email: string;
        timestamp: number;
    };
    subject: string;
    body: string;
    notes: string;
    style: CommitStyle;
    innerText?: string;
    branches?: Array<Branch["name"]>;
    tags?: string[];
    constructor(options: CommitOptions);
}
export default Commit;
