const getRandomHash = () => (Math.random()
    .toString(16)
    .substring(3) +
    Math.random()
        .toString(16)
        .substring(3) +
    Math.random()
        .toString(16)
        .substring(3) +
    Math.random()
        .toString(16)
        .substring(3)).substring(0, 40);
export class Commit {
    constructor(options) {
        this.refs = [];
        this.x = 0;
        this.y = 0;
        let name, email;
        try {
            [, name, email] = options.author.match(/(.*) <(.*)>/);
        }
        catch (e) {
            [name, email] = [options.author, ""];
        }
        this.author = { name, email, timestamp: Date.now() };
        this.committer = { name, email, timestamp: Date.now() };
        this.subject = options.subject;
        this.body = options.body || "";
        this.notes = options.notes || "";
        this.hash = options.hash || getRandomHash();
        this.hashAbbrev = this.hash.substring(0, 7);
        this.tree = options.tree || getRandomHash();
        this.treeAbbrev = this.tree.substring(0, 7);
        this.parents = options.parents ? options.parents : [];
        this.parentsAbbrev = this.parents.map(commit => commit.substring(0, 7));
        this.style = options.style;
        this.innerText = options.innerText;
    }
}
export default Commit;
//# sourceMappingURL=commit.js.map