export class Refs extends Map {
    set(name, commitHash) {
        const prevCommitHash = super.get(name);
        let prevRefs;
        if (prevCommitHash) {
            prevRefs = (super.get(prevCommitHash) || []);
            super.set(prevCommitHash, prevRefs.filter((ref) => ref !== name));
        }
        super.set(name, commitHash);
        prevRefs = super.get(commitHash);
        const nextRefs = prevRefs ? [...prevRefs, name] : [name];
        super.set(commitHash, nextRefs);
        return this;
    }
}
export default Refs;
//# sourceMappingURL=refs.js.map