import { Commit } from "./commit";
import { Coordinate } from "./gitgraph";
export declare type Omit<T, K> = Pick<T, Exclude<keyof T, K>>;
export declare type NonMatchingPropNames<T, X> = {
    [K in keyof T]: T[K] extends X ? never : K;
}[keyof T];
export declare type NonMatchingProp<T, X> = Pick<T, NonMatchingPropNames<T, X>>;
export declare function booleanOptionOr(value: any, defaultValue: boolean): boolean;
export declare function numberOptionOr(value: any, defaultValue: number | null): number | null;
export declare function pick<T, K extends keyof T>(obj: T, paths: K[]): Pick<T, K>;
export declare function debug(commits: Commit[], paths: Array<keyof Commit>): void;
export declare function isUndefined(obj: any): obj is undefined;
export declare function withoutUndefinedKeys<T extends object>(obj?: T): NonMatchingProp<T, undefined>;
export declare function toSvgPath(coordinates: Coordinate[][], isBezier: boolean, isVertical: boolean): string;
